from ..... pyaz_utils import _call_az

def list(hybrid_connection_name, name, namespace_name, resource_group):
    '''
    List the keys and connection strings of Authorization Rule for Relay Service Hybrid Connection.

    Required Parameters:
    - hybrid_connection_name -- Name of Hybrid Connection
    - name -- Name of Hybrid Connection Authorization Rule
    - namespace_name -- Name of Namespace
    - resource_group -- Name of resource group. You can configure the default group using `az configure --defaults group=<name>`
    '''
    return _call_az("az relay hyco authorization-rule keys list", locals())


def renew(hybrid_connection_name, key, name, namespace_name, resource_group, key_value=None):
    '''
    Regenerate keys of Authorization Rule for Relay Service Hybrid Connection.

    Required Parameters:
    - hybrid_connection_name -- name of Hybrid Connection
    - key -- specifies Primary or Secondary key needs to be reset
    - name -- name of Hybrid Connection Authorization Rule
    - namespace_name -- Name of Namespace
    - resource_group -- Name of resource group. You can configure the default group using `az configure --defaults group=<name>`

    Optional Parameters:
    - key_value -- Optional, if the key value provided, is set for KeyType or autogenerated Key value set for keyType.
    '''
    return _call_az("az relay hyco authorization-rule keys renew", locals())

