from ..... pyaz_utils import _call_az

def list(name, namespace_name, queue_name, resource_group):
    '''
    List the keys and connection strings of Authorization Rule for the given Service Bus Queue

    Required Parameters:
    - name -- Name of Queue Authorization Rule
    - namespace_name -- Name of Namespace
    - queue_name -- Name of Queue
    - resource_group -- Name of resource group. You can configure the default group using `az configure --defaults group=<name>`
    '''
    return _call_az("az servicebus queue authorization-rule keys list", locals())


def renew(name, namespace_name, queue_name, resource_group, key=None, key_value=None):
    '''
    Regenerate keys of Authorization Rule for Service Bus Queue

    Required Parameters:
    - name -- Name of Queue Authorization Rule
    - namespace_name -- Name of Namespace
    - queue_name -- Name of Queue
    - resource_group -- Name of resource group. You can configure the default group using `az configure --defaults group=<name>`

    Optional Parameters:
    - key -- specifies Primary or Secondary key needs to be reset
    - key_value -- Optional, if the key value provided, is set for KeyType or autogenerated Key value set for keyType.
    '''
    return _call_az("az servicebus queue authorization-rule keys renew", locals())

